Page 1 of 5 123 ... LastLast
Results 1 to 15 of 62

Thread: [Announce] New EntWare package repository for 1.9.2.7-rtn firmware

  1. #1

    Post [Announce] New EntWare package repository for 1.9.2.7-rtn firmware

    Please note, since r3727 revision a new OpenWRT-based package repository is available.

    Entware Repository: https://github.com/Entware


    Update 03/22/12. Now TomatoUSB users can use our repo! See how.
    Update 03/26/12. Now DD-WRT and alt. RT-N56 f/w users can use our repo!
    Last edited by ryzhov_al; 14-04-2014 at 06:25.

  2. #2

    Great work !

    Great Work ! I have successfully installed minidlna but .... I have a big problem with php5 and mysql . Could you make a short tutorial ? What happend with eaccelerator ?? THANKS

  3. #3
    Join Date
    Dec 2007
    Location
    The Netherlands - Eindhoven
    Posts
    1,767
    thanks Ryzhov_al for the little tutorial and creating the project (right?).
    this will be the bright future of oleg for sure. I mean, ever since I played around with routers the only real option was ipkg... which is sort of broken imho.
    I'm glad it's now an open and free project: http://code.google.com/p/wl500g-repo/ with fancy new packages and a newer uclibc

  4. #4
    Thank you, guys!
    I know my HOW-TO's is so short and incomplete (and mainly in russian). Please, refer to OpenWRT HOW-TO's first and feel free to request a new packages, but after then comment out how it works (or not). These is no sense without your feedback. Now we can do almost every thing from OpenWRT!

    Quote Originally Posted by lyxes View Post
    What happend with eaccelerator ?? THANKS
    There is no eaccelerator package in OpenWRT (1, 2, etc). So lets make it!
    Done in r318.
    Code:
    $ tail /opt/var/log/eaccelerator.log
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/plugins/cpuload/action.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/plugins/cpuload/cpu.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/php/cache.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/php/util.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/conf/config.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/php/lfs.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/plugins/diskspace/action.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/php/util.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/conf/config.php"
    EACCELERATOR hit: "/opt/share/www/sandbox/rtorrent_frontend/php/lfs.php"
    Looks like its working Comment out its operability.
    Last edited by ryzhov_al; 22-01-2012 at 18:39. Reason: spell check

  5. #5
    hm opkg is not working for me (rtn-r3740)

    no output, no nothing..

    just used, the provided switch_to_openwrt.sh the rest is 'wengi'
    with /opt in fstab
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  6. #6
    Join Date
    Dec 2007
    Location
    The Netherlands - Eindhoven
    Posts
    1,767
    Quote Originally Posted by !gm View Post
    hm opkg is not working for me (rtn-r3740)

    no output, no nothing..

    just used, the provided switch_to_openwrt.sh the rest is 'wengi'
    with /opt in fstab
    Have you done this: http://wl500g.info/showthread.php?t=25626 ?
    shouldn't this be done prior to opkg installation ryzhov?

  7. #7
    as I see, we're running the ipkg.sh script, not the ipkg from /opt/bin

    but nevertheless, yes ipkg itselft is running, with the wl500g.googlecode.com repository
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  8. #8
    Quote Originally Posted by !gm View Post
    but nevertheless, yes ipkg itselft is running, with the wl500g.googlecode.com repository
    Please, do not use this repositories with the OpenWRT repo!
    Code:
    http://wl500g.googlecode.com/svn/ipkg/optware
    and
    Code:
    http://wl500g.googlecode.com/svn/ipkg/optware-d
    is for optware only. Almost all these packages is compiled by me, so believe me: by installing it you'll do a dependency hell, so all system will stop working.

    Quote Originally Posted by !gm View Post
    hm opkg is not working for me (rtn-r3740)

    no output, no nothing..

    just used, the provided switch_to_openwrt.sh the rest is 'wengi'
    with /opt in fstab
    Please note, you can't "upgrade" you software from Optware to OpenWRT. You must mount clean /opt partition without any software, after then, install necessery packages from OpenWRT repo.
    Last edited by ryzhov_al; 25-01-2012 at 05:57.

  9. #9
    aaah ok...

    the filename of switch_to_openwrt.sh implied that a "upgrade" is possible

    thx for clarification (and the repo)
    I'll clean up my /opt - since I have some time this afternoon to play around
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  10. #10
    Quote Originally Posted by lyxes View Post
    Great Work ! I have successfully installed minidlna..
    me too, but libbz2 was missing - it's depending

    there are no start-stop-scripts provided (yet), right?

    ryzhov, how do you organize updating the packages? there are new versions of minidlna and pyload available.
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  11. #11
    Quote Originally Posted by !gm View Post
    there are no start-stop-scripts provided (yet), right?
    May be in future. May be i'll rewrite OpenWRT scripts for us. For now, use plain-old rc.unslung scripts (like me).

    Quote Originally Posted by !gm View Post
    ryzhov, how do you organize updating the packages? there are new versions of minidlna and pyload available.
    My project is just a bunch of patches to OpenWRT Buildroot. So a few times per month i (or you) can get last OpenWRT trunk, apply patches and recompile repository. You may see it in changelog:
    • Dec 28, 2011, r249: fixup according to last openwrt trunk (rev.29614),
    • Jan 13, 2012, r268: fixup according to last openwrt trunk (rev.29723),
    • Jan 24, 2012, r337: fixup according to last openwrt trunk (rev.29906). umurmur, openldap, htop, xmlrpc-c packages fixed.

    and so on.
    Last edited by ryzhov_al; 26-01-2012 at 18:43. Reason: About startup scripts

  12. #12
    Quote Originally Posted by ryzhov_al View Post
    use plain-old rc.unslung scripts (like me).
    thats, what I've done intuitive

    Quote Originally Posted by ryzhov_al View Post
    My project is just a bunch of patches to OpenWRT Buildroot. So a few times per month i (or you) can get last OpenWRT trunk, apply patches and recompile repository.
    Ok, I'll try that at least for pyload. Because the precompiled ipk depends on python 2.5.. and can't be installed via opkg because, we have python 2.6

    edit: mmmh can't compile the buildroot... done everything in INSTALL
    enviroment is a debian 6.0.2.1 virtual machine :'(
    Last edited by !gm; 27-01-2012 at 02:49.
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  13. #13
    Quote Originally Posted by !gm View Post
    Ok, I'll try that at least for pyload. Because the precompiled ipk depends on python 2.5.. and can't be installed via opkg because, we have python 2.6
    Yes, we have python 2.6. Pyload depends on it:
    Code:
    $ opkg install pyload
    $ opkg depends pyload
    pyload depends on:
            python
            pyopenssl
            python-curl
            python-crypto
            python-django
            python-expat
            python-imaging-library
            python-sqlite3
            js
            tesseract
            unrar
    $ python --version
    Python 2.6.4
    So where did you get python 2.5?

    Quote Originally Posted by !gm View Post
    edit: mmmh can't compile the buildroot... done everything in INSTALL
    enviroment is a debian 6.0.2.1 virtual machine :'(
    You don't write any error logs, so lets call for telepaths^)

  14. #14
    the pyload thing: I meant the provided ipk from pyload.org

    Quote Originally Posted by ryzhov_al View Post
    You don't write any error logs, so lets call for telepaths^)
    It was late yesterday.. I now set up a new vm http://wiki.openwrt.org/doc/howto/buildvm


    ok, here we go

    do I have to care about "configuration is out of sync" Warning?
    as you see, it's the last step of http://code.google.com/p/wl500g-repo.../trunk/INSTALL

    Code:
    gm@debian:~/openwrt/trunk$ make package/compile V=99
    WARNING: your configuration is out of sync. Please run make menuconfig, oldconfig or defconfig!
    make[1]: Entering directory `/home/gm/openwrt/trunk'
    make[2]: Entering directory `/home/gm/openwrt/trunk/package/opkg'
    make[2]: Leaving directory `/home/gm/openwrt/trunk/package/opkg'
    make[2]: Entering directory `/home/gm/openwrt/trunk/package/base-files-network'
    WARNING: skipping base-files-network -- package not selected
    make[2]: Leaving directory `/home/gm/openwrt/trunk/package/base-files-network'
    make[2]: Entering directory `/home/gm/openwrt/trunk/package/base-files'
    WARNING: skipping base-files -- package not selected
    WARNING: skipping libssp -- package not selected
    WARNING: skipping libgfortran -- package not selected
    make[2]: Leaving directory `/home/gm/openwrt/trunk/package/base-files'
    make[2]: Entering directory `/home/gm/openwrt/trunk/package/cyassl'
    (cd /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5; for lt in $(/home/gm/openwrt/trunk/staging_dir/host/bin/find . -name ltmain.sh); do lt_version="$(/home/gm/openwrt/trunk/staging_dir/host/bin/sed -ne 's,^[[:space:]]*VERSION=\([0-9]\.[0-9]\+\).*,\1,p' $lt)"; case "$lt_version" in 1.5|2.2|2.4) echo "autotools.mk: Found libtool v$lt_version - applying patch to $lt"; (cd $(dirname $lt) && /usr/bin/patch -N -s -p1 < /home/gm/openwrt/trunk/tools/libtool/files/libtool-v$lt_version.patch || true) ;; *) echo "autotools.mk: error: Unsupported libtool version v$lt_version - cannot patch $lt"; exit 1 ;; esac; done; );
    autotools.mk: Found libtool v1.5 - applying patch to ./ltmain.sh
    Reversed (or previously applied) patch detected!  Skipping patch.
    10 out of 10 hunks ignored -- saving rejects to file ltmain.sh.rej
    (cd /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/./; if [ -x ./configure ]; then /usr/bin/find /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/ -name config.guess | xargs -r chmod u+w; /usr/bin/find /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/ -name config.guess | xargs -r -n1 cp /home/gm/openwrt/trunk/scripts/config.guess; /usr/bin/find /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/ -name config.sub | xargs -r chmod u+w; /usr/bin/find /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/ -name config.sub | xargs -r -n1 cp /home/gm/openwrt/trunk/scripts/config.sub; AR=mipsel-uclibc-ar AS="mipsel-uclibc-gcc -c -Os -pipe -mips32 -mtune=mips32 -fpic" LD=mipsel-uclibc-ld NM=mipsel-uclibc-nm CC="mipsel-uclibc-gcc" GCC="mipsel-uclibc-gcc" CXX="mipsel-uclibc-g++" RANLIB=mipsel-uclibc-ranlib STRIP=mipsel-uclibc-strip OBJCOPY=mipsel-uclibc-objcopy OBJDUMP=mipsel-uclibc-objdump SIZE=mipsel-uclibc-size CFLAGS="-Os -pipe -mips32 -mtune=mips32 -fpic " CXXFLAGS="-Os -pipe -mips32 -mtune=mips32 -fpic " CPPFLAGS="-I/home/gm/openwrt/trunk/staging_dir/target-mipsel-rtn-linux-gnu/opt/include -I/home/gm/openwrt/trunk/staging_dir/target-mipsel-rtn-linux-gnu/include -I/opt/brcm/hndtools-mipsel-uclibc/include " LDFLAGS="-L/home/gm/openwrt/trunk/staging_dir/target-mipsel-rtn-linux-gnu/opt/lib -L/home/gm/openwrt/trunk/staging_dir/target-mipsel-rtn-linux-gnu/lib -Wl,-rpath,/opt/lib -L/opt/brcm/hndtools-mipsel-uclibc/lib "   ./configure --target=mipsel-rtn-linux-gnu --host=mipsel-rtn-linux-gnu --build=i486-linux-gnu --program-prefix="" --program-suffix="" --prefix=/opt --exec-prefix=/opt --bindir=/opt/bin --sbindir=/opt/sbin --libexecdir=/opt/lib --sysconfdir=/opt/etc --datadir=/opt/share --localstatedir=/opt/var --mandir=/opt/man --infodir=/opt/info --disable-nls   --without-zlib --enable-singleThreaded ; fi; )
    configure: loading site script /home/gm/openwrt/trunk/include/site/mipsel-rtn-linux-gnu
    checking build system type... i486-pc-linux-gnu
    checking host system type... mipsel-rtn-linux-gnu
    checking target system type... mipsel-rtn-linux-gnu
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /bin/mkdir -p
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking for mipsel-rtn-linux-gnu-strip... mipsel-uclibc-strip
    checking for mipsel-rtn-linux-gnu-gcc... mipsel-uclibc-gcc
    checking for C compiler default output file name...
    configure: error: C compiler cannot create executables
    See `config.log' for more details.
    make[2]: *** [/home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/.configured_] Error 77
    make[2]: Leaving directory `/home/gm/openwrt/trunk/package/cyassl'
    make[1]: *** [package/cyassl/compile] Error 2
    make[1]: Leaving directory `/home/gm/openwrt/trunk'
    make: *** [package/compile] Error 2
    Last edited by !gm; 27-01-2012 at 15:47.
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  15. #15
    Code:
    ...
    configure: error: C compiler cannot create executables
    See `config.log' for more details.
    You may find it at /home/gm/openwrt/trunk/build_dir/target-mipsel-rtn-linux-gnu/cyassl-1.6.5/
    Or toolchain is not installed properly, or mipsel-uclibc-gcc gets incorrect options.

Page 1 of 5 123 ... LastLast

Similar Threads

  1. Entware - новый репозиторий для роутеров (MIPS)
    By ryzhov_al in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 1390
    Last Post: 29-04-2017, 21:40
  2. Установка rTorrent + ruTorrent из репозитория Entware
    By ryzhov_al in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 174
    Last Post: 11-02-2016, 14:29
  3. Samba 3.6 EntWare - установка и настройка
    By voidshah in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 50
    Last Post: 02-12-2014, 10:37
  4. Optware oder Entware?
    By newbiefan in forum German Discussion - Deutsch (DE)
    Replies: 9
    Last Post: 20-12-2012, 16:51
  5. Torrentflux mod, controls Transmission - can someone package it?
    By nant15 in forum WL-500g Custom Development
    Replies: 5
    Last Post: 14-11-2006, 19:49

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •